package com.mdd.admin.validate.log;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotNull;

@ApiModel("防红记录创建参数")
public class FloodLogCreateValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("ip地址")
   private @NotNull(
   message = "ip参数缺失"
) String ip;
   @ApiModelProperty("用户标识")
   private @NotNull(
   message = "uuid参数缺失"
) String uuid;
   @ApiModelProperty("状态(1: 通行  2: 阻止  3: 异常)")
   private @NotNull(
   message = "status参数缺失"
) Integer status;
   @ApiModelProperty("一级防红内容")
   private @NotNull(
   message = "content1参数缺失"
) String content1;
   @ApiModelProperty("二级防红内容")
   private @NotNull(
   message = "content2参数缺失"
) String content2;

   public @NotNull(
   message = "ip参数缺失"
) String getIp() {
      return this.ip;
   }

   public @NotNull(
   message = "uuid参数缺失"
) String getUuid() {
      return this.uuid;
   }

   public @NotNull(
   message = "status参数缺失"
) Integer getStatus() {
      return this.status;
   }

   public @NotNull(
   message = "content1参数缺失"
) String getContent1() {
      return this.content1;
   }

   public @NotNull(
   message = "content2参数缺失"
) String getContent2() {
      return this.content2;
   }

   public void setIp(@NotNull(
   message = "ip参数缺失"
) String ip) {
      this.ip = ip;
   }

   public void setUuid(@NotNull(
   message = "uuid参数缺失"
) String uuid) {
      this.uuid = uuid;
   }

   public void setStatus(@NotNull(
   message = "status参数缺失"
) Integer status) {
      this.status = status;
   }

   public void setContent1(@NotNull(
   message = "content1参数缺失"
) String content1) {
      this.content1 = content1;
   }

   public void setContent2(@NotNull(
   message = "content2参数缺失"
) String content2) {
      this.content2 = content2;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof FloodLogCreateValidate)) {
         return false;
      } else {
         FloodLogCreateValidate other = (FloodLogCreateValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label71: {
               Object this$status = this.getStatus();
               Object other$status = other.getStatus();
               if (this$status == null) {
                  if (other$status == null) {
                     break label71;
                  }
               } else if (this$status.equals(other$status)) {
                  break label71;
               }

               return false;
            }

            Object this$ip = this.getIp();
            Object other$ip = other.getIp();
            if (this$ip == null) {
               if (other$ip != null) {
                  return false;
               }
            } else if (!this$ip.equals(other$ip)) {
               return false;
            }

            label57: {
               Object this$uuid = this.getUuid();
               Object other$uuid = other.getUuid();
               if (this$uuid == null) {
                  if (other$uuid == null) {
                     break label57;
                  }
               } else if (this$uuid.equals(other$uuid)) {
                  break label57;
               }

               return false;
            }

            Object this$content1 = this.getContent1();
            Object other$content1 = other.getContent1();
            if (this$content1 == null) {
               if (other$content1 != null) {
                  return false;
               }
            } else if (!this$content1.equals(other$content1)) {
               return false;
            }

            Object this$content2 = this.getContent2();
            Object other$content2 = other.getContent2();
            if (this$content2 == null) {
               if (other$content2 == null) {
                  return true;
               }
            } else if (this$content2.equals(other$content2)) {
               return true;
            }

            return false;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof FloodLogCreateValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $status = this.getStatus();
      result = result * 59 + ($status == null ? 43 : $status.hashCode());
      Object $ip = this.getIp();
      result = result * 59 + ($ip == null ? 43 : $ip.hashCode());
      Object $uuid = this.getUuid();
      result = result * 59 + ($uuid == null ? 43 : $uuid.hashCode());
      Object $content1 = this.getContent1();
      result = result * 59 + ($content1 == null ? 43 : $content1.hashCode());
      Object $content2 = this.getContent2();
      result = result * 59 + ($content2 == null ? 43 : $content2.hashCode());
      return result;
   }

   public String toString() {
      return "FloodLogCreateValidate(ip=" + this.getIp() + ", uuid=" + this.getUuid() + ", status=" + this.getStatus() + ", content1=" + this.getContent1() + ", content2=" + this.getContent2() + ")";
   }
}
